SISTERS-BASED VETERAN’S ORGANIZATION LATEST RECIPIENT OF LIFESAVING MEDICAL EQUIPMENT THROUGH FIRE DISTRICT GRANT PROGRAM

Warfighter Outfitters Inc. is the latest recipient of an Automatic External Defibrillator (AED) through the Sisters-Camp Sherman Fire District’s AED grant program.  The goal of the grant program is to maximize the survivability rate from incidents of Sudden Cardiac Arrest (SCA).  One of the best ways to do that is to have as many AED’s as possible deployed throughout our fire district.

Warfighter Outfitters Inc. is a non-profit guide and outfitter providing service to the nation’s veterans on hunting, fishing and engagement trips.  The excursions include anywhere from 2 to over 30 veterans on a trip.  The organization is 100% volunteer based and the trips are funded entirely by donations.   The Fire District grant program covers up to $250 towards the purchase of an AED.  Because Warfighter Outfitters operates on donations only, they needed the full amount of the AED cost covered.  The proposal came before the Sisters-Camp Sherman Fire and Ambulance Association Board at their January meeting, and they approved the expenditure of Association funds to cover the remaining portion.

Brett Miller of Warfighter Outfitters said, “With the remote nature of our offerings and the generations of veterans we serve, this AED will not only provide crucial, timely, lifesaving support to anyone on the river or in the woods, but will also provide peace of mind to all those on our trips and those around us on the river. This device is not only available to our veterans, but also the community that will be using the same water or land that we are on, and we always have many veterans who are very well trained with the devices.”

Fire Chief Roger Johnson added, “We are honored to provide this life saving support to veterans who have sacrificed so much for all of us”

For more information about the District’s AED grant program, please call 541-549-0771.

###

MySQL Queries: 153 Flush Rules DOMContentLoaded: ... PHP: 7.4.18 WordPress: 5.6.1